<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/bibliographie">
      <html>
        <head>
          <title>Bibliographie TAL</title>
        </head>
        <body bgcolor="#FFFFFF" link="#FF0000" vlink="#0000FF">
          <center><h1>Bibliographie TAL</h1></center>
    	<xsl:apply-templates />
        </body>
      </html>
    </xsl:template>
    <!-- on affiche une entree individuelle -->
    <xsl:template match="entree">
      <center>
        <table border="0" width="80%" cellpadding="5" cellspacing="0">
          <tr bgcolor="#CCCCCC">
    	<td colspan="2">
    	  <center>
    	      <font size="+1"><b>
    		<xsl:value-of select="author"/>
		</b>
    	      </font>
    	  </center>
    	</td>
          </tr>

        <xsl:if test="title">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Titre</b></td>
    	  <td align="left">
    	    <xsl:value-of select="title"/>
    	  </td>
    	</tr>
	</xsl:if>

        <xsl:if test="year">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Anne</b></td>
    	  <td align="left">
    	    <xsl:value-of select="year"/>
    	  </td>
    	</tr>
	</xsl:if>	

        <xsl:if test="publisher">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Edition</b></td>
    	  <td align="left">
    	    <xsl:value-of select="publisher"/>
    	  </td>
    	</tr>
	</xsl:if>	

        <xsl:if test="journal">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Revue</b></td>
    	  <td align="left">
    	    <xsl:value-of select="journal"/>
    	  </td>
    	</tr>
	</xsl:if>	

        <xsl:if test="volume">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Volume</b></td>
    	  <td align="left">
    	    <xsl:value-of select="volume"/>
    	  </td>
    	</tr>
	</xsl:if>	

        <xsl:if test="number">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Numro</b></td>
    	  <td align="left">
    	    <xsl:value-of select="number"/>
    	  </td>
    	</tr>
	</xsl:if>	

        <xsl:if test="pages">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Pages</b></td>
    	  <td align="left">
    	    <xsl:value-of select="pages"/>
    	  </td>
    	</tr>
	</xsl:if>	

        <xsl:if test="booktitle">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Actes</b></td>
    	  <td align="left">
    	    <xsl:value-of select="booktitle"/>
    	  </td>
    	</tr>
	</xsl:if>	

        <xsl:if test="type">
    	<tr bgcolor="#EEEEEE">
    	  <td align="right" valign="top"><b>Thse-Rapport</b></td>
    	  <td align="left">
    	    <xsl:value-of select="type"/>
    	  </td>
    	</tr>
	</xsl:if>	

          <!-- stop -->

        </table>
      </center>
      <br/><br/>
    </xsl:template>
    </xsl:stylesheet>